#include <map>
#include <slist>
#include "misc.h"
#include "users.h"

static map<string,slist<string> > users;

void AddUser(const string &chan, const string &nickhost)
{
	users[chan].push_front(nickhost);
}
void DelUser(const string &chan, const string &Nick, const string &Host)
{
	string nick, host;
	slist<string>::iterator i;
	slist<string> &p = users[chan];
	for(i=p.begin(); i!=p.end(); )
	{
		separate(nick,host, *i);
		if(nick==Nick)
		{
			slist<string>::iterator j = i++;
			p.erase(j);
		}
		else
			i++;
	}
	Host.size();
}
void DelUser(const string &chan, const string &nickhost)
{
	string nick, host;
	separate(nick,host, nickhost);
	DelUser(chan, nick, host);
}
const string Users(const string &chan)
{
	string nick, host, tmp;
	slist<string>::iterator i;
	slist<string> &p = users[chan];
	for(i=p.begin(); i!=p.end(); i++)
	{
		separate(nick,host, *i);
		if(!tmp.empty())tmp += ' ';
		tmp += nick;
	}
	return tmp;
}
